JobQueueInfo (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class JobQueueInfo

    java.lang.Object
      org.apache.hadoop.mapred.JobQueueInfo

All Implemented Interfaces:
  Writable

    public class JobQueueInfo

extends Object
implements Writable

Class that contains the information regarding the Job Queues which are maintained by the Hadoop Map/Reduce framework.

Constructor Summary
`JobQueueInfo()`
`JobQueueInfo(String queueName, String schedulingInfo)` Construct a new JobQueueInfo object using the queue name and the scheduling information passed.

Method Summary
`String` | `getQueueName()` Get the queue name from JobQueueInfo
`String` | `getQueueState()` Return the queue state
`String` | `getSchedulingInfo()` Gets the scheduling information associated to particular job queue.
`void` | `readFields(DataInput in)` Deserialize the fields of this object from `in`.
`void` | `setQueueName(String queueName)` Set the queue name of the JobQueueInfo
`void` | `setQueueState(String state)` Set the state of the queue
`void` | `setSchedulingInfo(String schedulingInfo)` Set the scheduling information associated to particular job queue
`void` | `write(DataOutput out)` Serialize the fields of this object to `out`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobQueueInfo

    public JobQueueInfo()

### JobQueueInfo

    public JobQueueInfo(String queueName,
                        String schedulingInfo)

  Construct a new JobQueueInfo object using the queue name and the scheduling information passed.

  Parameters:
    `queueName` - Name of the job queue
    `schedulingInfo` - Scheduling Information associated with the job queue

Method Detail

### setQueueName

    public void setQueueName(String queueName)

  Set the queue name of the JobQueueInfo

  Parameters:
    `queueName` - Name of the job queue.

### getQueueName

    public String getQueueName()

  Get the queue name from JobQueueInfo

  Returns:
    queue name

### setSchedulingInfo

    public void setSchedulingInfo(String schedulingInfo)

  Set the scheduling information associated to particular job queue

  Parameters:
    `schedulingInfo` -

### getSchedulingInfo

    public String getSchedulingInfo()

  Gets the scheduling information associated to particular job queue. If nothing is set would return "N/A"

  Returns:
    Scheduling information associated to particular Job Queue

### setQueueState

    public void setQueueState(String state)

  Set the state of the queue

  Parameters:
    `state` - state of the queue.

### getQueueState

    public String getQueueState()

  Return the queue state

  Returns:
    the queue state.

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Description copied from interface: `Writable`
  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Specified by:
    `readFields` in interface `Writable`
  Parameters:
    `in` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

### write

    public void write(DataOutput out)
               throws IOException

  Description copied from interface: `Writable`
  Serialize the fields of this object to `out`.

  Specified by:
    `write` in interface `Writable`
  Parameters:
    `out` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation